<?php
namespace Modules\API\APIInterne\OxaMobility\Controller;

use GuzzleHttp\Psr7\Response;

// phpcs:ignore
class PAGE_CommandesController extends AbsApiController
{
    public function INITAction() :Response
    {
        $trad = $this->getTranslationService();
        $return['Trads']['MLS_Panier_Incompatible'] = $trad->t('Votre panier est incompatible avec MPROC.');
        $return['Trads']['MLS_Panier_Incompatible_Avec_Raison'] = $trad->t('Votre panier est incompatible avec MPROC pour la raison suivante :');
        $return['Trads']['MLS_Vous_devez_le_supprimer'] = $trad->t('Vous devez le supprimer, ou le reprendre sur OXA.PROC.');
        $return['Trads']['MLS_Confirm_Suppr'] = $trad->t('Souhaitez-vous supprimer votre panier ?');
        $return['Trads']['MLS_Vous_allez_etre_dec'] = $trad->t('Vous allez être déconnecté.');
        $return['Trads']['MLS_Vous_devez_le_reprendre'] = $trad->t('Vous devez reprendre votre panier sur OXA.PROC');
        $return['Trads']['MLS_Passer_une_cde'] = $trad->t('Passer une commande');
        $return['Trads']['MLS_Cde_comptoir'] = $trad->t('Commande comptoir');
        $return['Trads']['MLS_Cde_std'] = $trad->t('Commande standard');
        $return['Trads']['MLS_Utiliser_panier_modele'] = $trad->t('Utiliser un panier modèle');
        $return['Trads']['MLS_Suivre_mes_cdes'] = $trad->t('Suivre mes commandes');
        $return['Trads']['MLS_Mes_cdes'] = $trad->t('Mes commandes');
        
        $return['Trads']['MLS_Suivre_mes_demandes '] = $trad->t('Demandes de service');
        $return['Trads']['MLS_Creer_Demande'] = $trad->t('Créer une Demande de service');
        $return['Trads']['MLS_Mes_demandes'] = $trad->t('Mes demandes de service');
        $return['Trads']['MLS_Nouvelle_Demande'] = $trad->t('Demande de service');
        $return['Trads']['MLS_CentreSansStock'] = $trad->t('Votre centre de livraison n\'est pas lié à un site de stock.');
        $return['Trads']['MLS_SupprPanierPourDS'] = $trad->t('Votre panier en cours sera supprimé. Confirmez-vous la création d\'une nouvelle demande de service ?');

        $return['Trads']['MLS_Paniers_Modeles'] = $trad->t('Paniers modèles');
        $return['Trads']['MLS_Charger_Panier_Modele'] = $trad->t('Charger');
        $return['Trads']['MLS_Article_Recent'] = $trad->t('Commandé récemment');
        $return['Trads']['MLS_Voir_Tout'] = $trad->t('Voir tout');
        $return['Trads']['MLS_Texte_Fournisseur'] = $trad->t('Fournisseur :');
        $return['Trads']['MLS_Texte_Reference'] = $trad->t('Réf :');
        $return['Trads']['MLS_PJ_Document'] = $trad->t('Document');
        $return['Trads']['MLS_PJ_Camera'] = $trad->t('Caméra');
        $return['Trads']['MLS_PJ_Galerie'] = $trad->t('Galerie');
        $return['Trads']['MLS_PJ_Bouton'] = $trad->t('Pièce(s) Jointe(s)');
        $return['Trads']['MLS_Oui'] = $trad->t('Oui');
        $return['Trads']['MLS_Non'] = $trad->t('Non');
        $return['Trads']['MLS_OK'] = $trad->t('OK');
        $return['Trads']['MLS_Annuler'] = $trad->t('Annuler');
        $return['Trads']['MLS_Obligatoire'] = $trad->t('Obligatoire');

        $return['Trads']['MLS_ST_SITE'] = $trad->t('Site');
        $return['Trads']['MLS_ST_TITRE'] = $trad->t('Stock et inventaire');
        $return['Trads']['MLS_ST_CREAT_BE'] = $trad->t('Créer une entrée');
        $return['Trads']['MLS_ST_CREAT_BS'] = $trad->t('Créer une sortie');
        $return['Trads']['MLS_ST_CREAT_BT'] = $trad->t('Effectuer un transfert');
        $return['Trads']['MLS_ST_CREAT_INV'] = $trad->t('Inventaire');
        $return['Trads']['MLS_ST_DOCS'] = $trad->t('Documents');

        $return['Trads']['MLS_Nombre_Article_Site']             = $trad->t('Nombre d\'articles sur le site %1 : %2.');
        $return['Trads']['MLS_Charger_Articles']                = $trad->t('Voulez-vous les charger ?');

        $return['Trads']['MLS_DOC_ATT_Docs']                     = $trad->t('Documents');
        $return['Trads']['MLS_DOC_ATT_Documents']                = $trad->t('Documents rattachés');
        $return['Trads']['MLS_DOC_ATT_Date_Parution']            = $trad->t('Ajouté le');
        $return['Trads']['MLS_DOC_ATT_Date_Valid']               = $trad->t('Valide jusqu\'à');
        $return['Trads']['MLS_DOC_ATT_Auteur']                   = $trad->t('Auteur');
        $return['Trads']['MLS_DOC_ATT_Confirm_Download']         = $trad->t('Confirmez-vous le téléchargement de %1 ?');
        $return['Trads']['MLS_DOC_ATT_Confirm_Suppr']            = $trad->t('Confirmez-vous la suppression du document ?');
        $return['Trads']['MLS_DOC_ATT_Ajouter']                  = $trad->t('Ajouter un document');
        $return['Trads']['MLS_DOC_ATT_Docs_Enreg']               = $trad->t('Documents enregistrés.');
        $return['Trads']['MLS_DOC_ATT_Docs_Suppr']               = $trad->t('Le document a été supprimé.');

        
        return $this->createApiResponse($return);
    }
}
